Wednesday, August 19, 2009

(command "..."......) ဆိုျပီး command function ကို သံုးရင္ မၾကာမၾကာ သံုးရေလ့ရိွတဲ့ command function ေတြကေတာ့..
Pause ဆုိလိုရင္းက user ကို specify first point ဆိုျပီးေတာင္းတာမ်ိဳးမွာ user က screen ေပၚမွာ click လုပ္တဲ့အခါမ်ိဳးအတြက္ပါ...
"" ၾကားထဲမွာဘာမွမပါဘဲ double quote ခ်ည္းပဲဆိုရင္ေတာ့ enter ႏွိပ္တယ္ဆိုတဲ့အဓိပၼါယ္ပါ...
(ssget)"" အသံုးျပဳသူမွေနျပီး object ေတြကို select လုပ္ႏိုင္ဖို့အတြက္နဲ့ "" enter ပါ. Pick select သုံးရမယ္ဆိုရင္ေတာ့ pause ကိုပဲသံုးရပါမယ္..
"y" "1.2" စတဲ့ option ေတြ...အတိုင္းအတာေတြ အသံုးျပဳသူမွထည့္ေပးဖို့လိုတဲ့ character ေတြကို double quote ၂ခုၾကားက string
အေနနဲ့ျပရပါတယ္..

ေအာက္က macro ေလးေတြကို လိုက္ဖတ္ၾကည့္ျပီး (run ၾကည့္တာကေတာ့ပိုေကာင္းတာေပါ့ ခင္ဗ်ာ...)
အဓိပၼါယ္ေဖၚၾကည့္ပါ.....(autoLisp တဖိုင္မွာ function ေတြၾကိဳက္သေလာက္ပါ၀င္လို့ရပါတယ္.. ဖိုင္ေတြအမ်ားၾကီးလုပ္ထားဖို့မလိုေတာ့ဘူးေပါ့ခင္ဗ်ာ)
ခ်န္းခ်န္းကိုယ္တိုင္ေရးျပီး ကိုယ္တိုင္သံုးေနက် ခ်န္းခ်န္းရဲ့ လက္နက္ပုန္းတခ်ဳိ့ပါ.... (ဟိဟိ...ေရွာင္ၾက ...ရွားၾကေပေရာ့.....)

(defun c:is () (command "snapstyl" "1") (princ))
(defun c:iss () (command "snapstyl" "0") (princ))
(defun c:dd1 () (command "dispsilh" "1") (princ))
(defun c:ss1 () (command "surftab1" "20") (princ))
(defun c:ss2 () (command "surftab1" "20") (princ))
(defun c:vt () (command "-view" "o" "top") (princ))
(defun c:vl () (command "-view" "o" "left") (princ))
(defun c:vf () (command "-view" "o" "front") (princ))
(defun c:vsw () (command "-view" "_swiso" "") (princ))
(defun c:vne () (command "-view" "_neiso" "") (princ))
(defun c:vnw () (command "-view" "_nwiso" "") (princ))
(defun c:vse () (command "-view" "_seiso" "") (princ))
(defun c:gl () (command "ucs" "left") (princ))
(defun c:gf () (command "ucs" "front") (princ))
(defun c:gw () (command "ucs" "world") (princ))
(defun c:sg () (command "_shademode""g")(princ))
(defun c:s2 () (command "_shademode""2d")(princ))

ခင္မင္ေလးစားလ်က္.....
ခ်န္းခ်န္း(Mg Mine)

No comments:

Post a Comment